Loading...
Searching...
No Matches
OBFontMetrics Class Reference

`#include <openbabel/depict/painter.h>`

## Public Attributes

int | fontSize
double | ascent
double | descent
double | width
double | height

## Detailed Description

Font metrics class used by OBDepict.

Since
  version 2.3

## Member Data Documentation

## fontSize

int fontSize

Referenced by OBDepict::DrawMolecule(), ASCIIPainter::GetFontMetrics(), CairoPainter::GetFontMetrics(), and CommandPainter::GetFontMetrics().

## ascent

double ascent

Referenced by ASCIIPainter::GetFontMetrics(), CairoPainter::GetFontMetrics(), and CommandPainter::GetFontMetrics().

## descent

double descent

Referenced by ASCIIPainter::GetFontMetrics(), CairoPainter::GetFontMetrics(), and CommandPainter::GetFontMetrics().

## width

double width

Referenced by OBDepict::DrawMolecule(), ASCIIPainter::GetFontMetrics(), CairoPainter::GetFontMetrics(), CommandPainter::GetFontMetrics(), and CairoPainter::NewCanvas().

## height

double height

Referenced by OBDepict::DrawMolecule(), ASCIIPainter::GetFontMetrics(), CairoPainter::GetFontMetrics(), CommandPainter::GetFontMetrics(), and CairoPainter::NewCanvas().

The documentation for this class was generated from the following file:

- painter.h